import { CustomTheme } from '@edtr-io/ui';
import * as React from 'react';
import { Plugin } from './plugin';
import { actions, selectors } from './store';
import { StoreOptions } from './store/store';
export declare function Editor<K extends string = string>(props: EditorProps<K>): JSX.Element;
export declare const InnerEditor: import("react-redux").ConnectedComponentClass<(<K extends string = string>({ id, initRoot, initialState, setEditable, undo, redo, children, editable, theme }: EditorProps<K> & EditorStateProps & EditorDispatchProps) => JSX.Element | null), Pick<EditorProps<string> & EditorStateProps & EditorDispatchProps, "children" | "plugins" | "theme" | "onChange" | "initialState" | "editable" | "omitDragDropContext" | "defaultPlugin"> & EditorProps<string>>;
export interface EditorStateProps {
    id: ReturnType<typeof selectors['getRoot']>;
}
export interface EditorDispatchProps {
    initRoot: typeof actions['initRoot'];
    setEditable: typeof actions['setEditable'];
    undo: typeof actions['undo'];
    redo: typeof actions['redo'];
}
export interface EditorProps<K extends string = string> {
    omitDragDropContext?: boolean;
    children?: React.ReactNode | ((document: React.ReactNode) => React.ReactNode);
    plugins: Record<K, Plugin>;
    defaultPlugin: K;
    initialState?: {
        plugin: string;
        state?: unknown;
    };
    theme?: CustomTheme;
    onChange?: StoreOptions<K>['onChange'];
    editable?: boolean;
}
//# sourceMappingURL=editor.d.ts.map