import { StateDescriptor } from './types';
export interface UploadStateReturnType<T> {
    (): FileState<T>;
    value: FileState<T>;
    isPending: boolean;
    upload(file: File, handler: UploadHandler<T>): Promise<T>;
    set(value: FileState<T> | ((currentValue: FileState<T>) => FileState<T>)): void;
}
export declare function upload<T>(defaultState: T): StateDescriptor<FileState<T>, FileState<T>, UploadStateReturnType<T>>;
export declare function usePendingFileUploader<T>(file: UploadStateReturnType<T>, uploadHandler: UploadHandler<T>): void;
export declare function usePendingFilesUploader<T>(files: UploadStateReturnType<T>[], uploadHandler: UploadHandler<T>): void;
export declare type UploadHandler<T> = (file: File) => Promise<T>;
export declare type UploadValidator<E = unknown> = (file: File) => {
    valid: true;
} | {
    valid: false;
    errors: E;
};
export interface TempFile {
    pending?: File;
    failed?: File;
    loaded?: LoadedFile;
}
export declare type FileState<T> = T | TempFile;
export declare function isTempFile<T>(state: FileState<T>): state is TempFile;
export interface LoadedFile {
    file: File;
    dataUrl: string;
}
//# sourceMappingURL=upload.d.ts.map