import { DocumentState } from '../types';
import { StoreDeserializeHelpers } from '../../plugin-state';
export declare const insert: {
    (payload: {
        id: string;
        plugin?: string | undefined;
        state?: unknown;
    }): {
        type: "Insert";
        payload: {
            id: string;
            plugin?: string | undefined;
            state?: unknown;
        };
    };
    type: "Insert";
};
export declare type InsertAction = ReturnType<typeof insert>;
export declare const pureInsert: {
    (payload: {
        id: string;
    } & DocumentState): {
        type: "PureInsert";
        payload: {
            id: string;
        } & DocumentState;
    };
    type: "PureInsert";
};
export declare type PureInsertAction = ReturnType<typeof pureInsert>;
export declare const remove: {
    (payload: string): {
        type: "Remove";
        payload: string;
    };
    type: "Remove";
};
export declare type RemoveAction = ReturnType<typeof remove>;
export declare const change: {
    (payload: {
        id: string;
        state: (value: unknown, helpers: StoreDeserializeHelpers<string, unknown>) => unknown;
    }): {
        type: "Change";
        payload: {
            id: string;
            state: (value: unknown, helpers: StoreDeserializeHelpers<string, unknown>) => unknown;
        };
    };
    type: "Change";
};
export declare type ChangeAction = ReturnType<typeof change>;
export declare const pureChange: {
    (payload: {
        id: string;
        state: unknown;
    }): {
        type: "PureChange";
        payload: {
            id: string;
            state: unknown;
        };
    };
    type: "PureChange";
};
export declare type PureChangeAction = ReturnType<typeof pureChange>;
export declare type DocumentsAction = InsertAction | PureInsertAction | RemoveAction | PureChangeAction | ChangeAction;
export declare const publicDocumentsActions: {
    insert: {
        (payload: {
            id: string;
            plugin?: string | undefined;
            state?: unknown;
        }): {
            type: "Insert";
            payload: {
                id: string;
                plugin?: string | undefined;
                state?: unknown;
            };
        };
        type: "Insert";
    };
    remove: {
        (payload: string): {
            type: "Remove";
            payload: string;
        };
        type: "Remove";
    };
    change: {
        (payload: {
            id: string;
            state: (value: unknown, helpers: StoreDeserializeHelpers<string, unknown>) => unknown;
        }): {
            type: "Change";
            payload: {
                id: string;
                state: (value: unknown, helpers: StoreDeserializeHelpers<string, unknown>) => unknown;
            };
        };
        type: "Change";
    };
};
//# sourceMappingURL=actions.d.ts.map