import { Action } from './actions';
import { State } from './types';
export declare function createAction<T, P>(type: T): {
    (payload: P): {
        type: T;
        payload: P;
    };
    type: T;
};
export declare function createActionWithoutPayload<T>(type: T): {
    (): {
        type: T;
    };
    type: T;
};
export declare function createSubReducer<K extends keyof State>(key: K, initialState: State[K], actionsMap: CaseReducersMapObject<State[K]>): SubReducer<State[K]>;
export declare type SubReducer<S = unknown> = (action: Action, state: State | undefined) => S;
export interface CaseReducersMapObject<S = unknown> {
    [actionType: string]: CaseReducer<S, any>;
}
export declare type CaseReducer<S = unknown, A extends Action = Action> = (subState: S, action: A, state: State) => S;
//# sourceMappingURL=helpers.d.ts.map