export declare const persist: {
    (): {
        type: "Persist";
    };
    type: "Persist";
};
export declare type PersistAction = ReturnType<typeof persist>;
export declare const reset: {
    (): {
        type: "Reset";
    };
    type: "Reset";
};
export declare type ResetAction = ReturnType<typeof reset>;
export declare const pureReset: {
    (): {
        type: "PureReset";
    };
    type: "PureReset";
};
export declare type PureResetAction = ReturnType<typeof pureReset>;
export declare const commit: {
    (payload: unknown[]): {
        type: "Commit";
        payload: unknown[];
    };
    type: "Commit";
};
export declare type CommitAction = ReturnType<typeof commit>;
export declare const pureCommit: {
    (payload: {
        combine: boolean;
        actions: unknown[];
    }): {
        type: "PureCommit";
        payload: {
            combine: boolean;
            actions: unknown[];
        };
    };
    type: "PureCommit";
};
export declare type PureCommitAction = ReturnType<typeof pureCommit>;
export declare const undo: {
    (): {
        type: "Undo";
    };
    type: "Undo";
};
export declare type UndoAction = ReturnType<typeof undo>;
export declare const pureUndo: {
    (): {
        type: "PureUndo";
    };
    type: "PureUndo";
};
export declare type PureUndoAction = ReturnType<typeof pureUndo>;
export declare const redo: {
    (): {
        type: "Redo";
    };
    type: "Redo";
};
export declare type RedoAction = ReturnType<typeof redo>;
export declare const pureRedo: {
    (): {
        type: "PureRedo";
    };
    type: "PureRedo";
};
export declare type PureRedoAction = ReturnType<typeof pureRedo>;
export declare type HistoryAction = PersistAction | ResetAction | PureResetAction | CommitAction | PureCommitAction | UndoAction | PureUndoAction | RedoAction | PureRedoAction;
export declare const publicHistoryActions: {
    persist: {
        (): {
            type: "Persist";
        };
        type: "Persist";
    };
    reset: {
        (): {
            type: "Reset";
        };
        type: "Reset";
    };
    undo: {
        (): {
            type: "Undo";
        };
        type: "Undo";
    };
    redo: {
        (): {
            type: "Redo";
        };
        type: "Redo";
    };
};
//# sourceMappingURL=actions.d.ts.map