export { Action } from './actions';
export { createStore } from './store';
export { DocumentState, State } from './types';
export declare const actions: {
    initRoot: {
        (payload: {
            plugin?: string | undefined;
            state?: unknown;
        }): {
            type: "InitRoot";
            payload: {
                plugin?: string | undefined;
                state?: unknown;
            };
        };
        type: "InitRoot";
    };
    setEditable: {
        (payload: boolean): {
            type: "SetEditable";
            payload: boolean;
        };
        type: "SetEditable";
    };
    persist: {
        (): {
            type: "Persist";
        };
        type: "Persist";
    };
    reset: {
        (): {
            type: "Reset";
        };
        type: "Reset";
    };
    undo: {
        (): {
            type: "Undo";
        };
        type: "Undo";
    };
    redo: {
        (): {
            type: "Redo";
        };
        type: "Redo";
    };
    focus: {
        (payload: string): {
            type: "Focus";
            payload: string;
        };
        type: "Focus";
    };
    focusNext: {
        (): {
            type: "FocusNext";
        };
        type: "FocusNext";
    };
    focusPrevious: {
        (): {
            type: "FocusPrevious";
        };
        type: "FocusPrevious";
    };
    insert: {
        (payload: {
            id: string;
            plugin?: string | undefined;
            state?: unknown;
        }): {
            type: "Insert";
            payload: {
                id: string;
                plugin?: string | undefined;
                state?: unknown;
            };
        };
        type: "Insert";
    };
    remove: {
        (payload: string): {
            type: "Remove";
            payload: string;
        };
        type: "Remove";
    };
    change: {
        (payload: {
            id: string;
            state: (value: unknown, helpers: import("../plugin-state").StoreDeserializeHelpers<string, unknown>) => unknown;
        }): {
            type: "Change";
            payload: {
                id: string;
                state: (value: unknown, helpers: import("../plugin-state").StoreDeserializeHelpers<string, unknown>) => unknown;
            };
        };
        type: "Change";
    };
    copy: {
        (payload: string | null): {
            type: "Copy";
            payload: string | null;
        };
        type: "Copy";
    };
};
export declare const selectors: {
    getRoot: typeof import("./root/reducer").getRoot;
    serializeRootDocument: typeof import("./root/reducer").serializeRootDocument;
    getDefaultPlugin: typeof import("./plugins/reducer").getDefaultPlugin;
    getPlugins: typeof import("./plugins/reducer").getPlugins;
    getPlugin: typeof import("./plugins/reducer").getPlugin;
    isEditable: (state: import("./types").State) => boolean;
    getPendingChanges: typeof import("./history/reducer").getPendingChanges;
    hasPendingChanges: typeof import("./history/reducer").hasPendingChanges;
    isFocused: typeof import("./focus/reducer").isFocused;
    getFocusTree: typeof import("./focus/reducer").getFocusTree;
    findPreviousNode: typeof import("./focus/reducer").findPreviousNode;
    findNextNode: typeof import("./focus/reducer").findNextNode;
    getDocument: typeof import("./documents/reducer").getDocument;
    serializeDocument: typeof import("./documents/reducer").serializeDocument;
    isEmpty: typeof import("./documents/reducer").isEmpty;
    getClipboard: typeof import("./clipboard/reducer").getClipboard;
};
//# sourceMappingURL=index.d.ts.map