import { Store } from 'redux';
import { Plugin } from '../plugin';
import { Action } from './actions';
import { State } from './types';
import { selectors } from '@edtr-io/core';
export declare function createStore<K extends string>({ onChange, defaultPlugin, plugins, actions }: StoreOptions<K>): {
    store: Store<State, Action>;
};
export interface StoreOptions<K extends string> {
    onChange?: ChangeListener;
    plugins: Record<K, Plugin>;
    defaultPlugin: K;
    actions?: Action[];
}
declare type ChangeListener = ({ changed, document }: {
    changed: boolean;
    document: ReturnType<typeof selectors.serializeRootDocument>;
}) => void;
export {};
//# sourceMappingURL=store.d.ts.map