"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HighlightEditor = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var React = _interopRequireWildcard(require("react"));

var _renderer = require("./renderer");

var _editorUi = require("@edtr-io/editor-ui");

var Textarea = _editorUi.styled.textarea({
  height: '250px',
  width: '100%',
  margin: 'auto',
  padding: '10px',
  resize: 'none',
  fontFamily: 'Menlo, Monaco, "Courier New", monospace',
  border: 'none',
  outline: 'none',
  boxShadow: '0 1px 1px 0 rgba(0,0,0,0.50)',
  '&::-webkit-input-placeholder': {
    color: 'rgba(0,0,0,0.5)'
  }
});

var QuestionIcon = (0, _editorUi.styled)(_editorUi.Icon)({
  color: 'black',
  margin: '0 10px -3px 5px',
  '&:hover': {
    color: 'rgba(0,0,0,0.5)'
  }
});

var CheckboxContainer = _editorUi.styled.div({
  "float": 'right'
}); // TODO: type and theming. maybe put in editor-ui?


var HelpIcon = function HelpIcon() {
  return React.createElement("a", {
    href: "https://github.com/conorhastings/react-syntax-highlighter/blob/master/AVAILABLE_LANGUAGES_HLJS.MD",
    rel: "noopener noreferrer",
    target: "_blank",
    title: "Available Languages"
  }, React.createElement(QuestionIcon, {
    icon: _editorUi.faQuestionCircle
  }));
};

var HighlightEditor = function HighlightEditor(props) {
  var state = props.state,
      focused = props.focused,
      editable = props.editable;
  var edit = focused && editable;

  var _React$useState = React.useState(edit),
      _React$useState2 = (0, _slicedToArray2["default"])(_React$useState, 2),
      throttledEdit = _React$useState2[0],
      setEditThrotteled = _React$useState2[1];

  if (edit != throttledEdit) {
    if (!edit) {
      setTimeout(function () {
        setEditThrotteled(false);
      }, 500);
    } else {
      setEditThrotteled(true);
    }
  }

  return throttledEdit || edit ? React.createElement(React.Fragment, null, React.createElement(Textarea, {
    value: state.text.value,
    name: "text",
    placeholder: "Write some code here. Preview will be shown when you leave the area",
    onChange: function onChange(e) {
      state.text.set(e.target.value);
    }
  }, state.text.value), React.createElement(_editorUi.EditorInput, {
    label: "Language:",
    value: state.language.value,
    onChange: function onChange(e) {
      state.language.set(e.target.value);
    },
    placeholder: "enter Language"
  }), React.createElement(HelpIcon, null), React.createElement(CheckboxContainer, null, React.createElement(_editorUi.EditorCheckbox, {
    label: "Show Line Numbers",
    onChange: function onChange() {
      state.lineNumbers.set(!state.lineNumbers.value);
    },
    checked: state.lineNumbers.value
  }))) : React.createElement(_renderer.HighlightRenderer, props);
};

exports.HighlightEditor = HighlightEditor;
//# sourceMappingURL=editor.js.map