import * as React from 'react';
import { ButtonTheme } from './overlay-button';
import { CheckboxTheme } from './overlay-checkbox';
import { InputTheme } from './overlay-input';
import { TextareaTheme } from './overlay-textarea';
export declare const createOverlayTheme: (themeProp: {
    editor: import("../theme").EditorTheme;
    editorUi: import("../theme").EditorUiTheme;
}) => OverlayTheme;
export declare const OverlayBox: import("styled-components").StyledComponent<"div", any, import("styled-components").ThemeProps<{
    editor: import("../theme").EditorTheme;
    editorUi: import("../theme").EditorUiTheme;
}>, never>;
export declare function Overlay(props: {
    onClose?: () => void;
    children?: React.ReactNode;
}): React.ReactPortal | null;
export declare const InlineSettings: React.FunctionComponent<{
    onDelete: React.MouseEventHandler;
    position: HoverPosition;
    anchor?: React.RefObject<HTMLElement>;
}>;
export declare type HoverPosition = 'above' | 'below';
export declare const HoveringOverlay: React.FunctionComponent<{
    position: HoverPosition;
    anchor?: React.RefObject<HTMLElement>;
}>;
export declare function ContainerWithConfigButton(props: {
    children?: React.ReactNode;
}): JSX.Element;
export interface OverlayTheme {
    backgroundColor: string;
    color: string;
    overlayBackgroundColor: string;
    highlightColor: string;
    button: ButtonTheme;
    checkbox: CheckboxTheme;
    input: InputTheme;
    textarea: TextareaTheme;
}
//# sourceMappingURL=settings-overlay.d.ts.map